<?xml version="1.0" encoding="UTF-8"?>
<openerp>
    <data>
        <!-- actions opening views on models -->
        <act_window id="ir_al_autor" name="Autor" res_model="biblioteca.autor" view_mode="tree,kanban,form"/>
        <act_window id="ir_a_la_editorial" name="Editorial" res_model="biblioteca.editorial" view_mode="tree,kanban,form"/>
        <act_window id="ir_al_libro" name="Libro" res_model="biblioteca.libro" view_mode="tree,kanban,form"/>
        <act_window id="ir_a_la_lineapedido" name="Linea de pedido" res_model="biblioteca.lineapedido" view_mode="tree,kanban,form"/>
        <act_window id="ir_a_la_localizacion" name="Localizacion" res_model="biblioteca.localizacion" view_mode="tree,kanban,form"/>
        <act_window id="ir_al_pedido" name="Pedido" res_model="biblioteca.pedido" view_mode="tree,kanban,form"/>
        <act_window id="ir_al_prestamo" name="Prestamo" res_model="biblioteca.prestamo" view_mode="tree,kanban,form"/>
        <act_window id="ir_a_la_retirada" name="Retirada" res_model="biblioteca.retirada" view_mode="tree,kanban,form"/>
        <act_window id="ir_al_socio" name="Socio" res_model="biblioteca.socio" view_mode="tree,kanban,form"/>
        <act_window id="ir_al_tipo" name="Tipo" res_model="biblioteca.tipo" view_mode="tree,kanban,form"/>
	<act_window id="ir_al_usuario" name="Usuario" res_model="biblioteca.usuario" view_mode="tree,kanban,form"/>

        <!-- Top menu item -->
        <menuitem name="Biblioteca" id="main_menu_root"/>
        <menuitem name="Autor" id="libro_menu" parent="main_menu_root" action="ir_al_autor"/>
        <menuitem name="Editorial" id="libro_editorial" parent="main_menu_root" action="ir_a_la_editorial"/>
        <menuitem name="Linea de pedido" id="libro_lineapedido" parent="main_menu_root" action="ir_a_la_lineapedido"/>
        <menuitem name="Localizacion" id="libro_localizacion" parent="main_menu_root" action="ir_a_la_localizacion"/>
        <menuitem name="Pedido" id="libro_pedido" parent="main_menu_root" action="ir_al_pedido"/>
        <menuitem name="Prestamo" id="libro_prestamo" parent="main_menu_root" action="ir_al_prestamo"/>
        <menuitem name="Retirada" id="libro_retirada" parent="main_menu_root" action="ir_a_la_retirada"/>
        <menuitem name="Socio" id="libro_socio" parent="main_menu_root" action="ir_al_socio"/>
        <menuitem name="Tipo" id="libro_tipo" parent="main_menu_root" action="ir_al_tipo"/>
        <menuitem name="Libro" id="libro_informacion" parent="main_menu_root" action="ir_al_libro"/>
	<menuitem name="Usuario" id="libro_usuario" parent="main_menu_root" action="ir_al_usuario"/>

        <!-- Form view -->
        <record model="ir.ui.view" id="main_form_libro">
            <field name="name">Socio</field>
            <field name="model">biblioteca.socio</field>
            <field name="arch" type="xml">
                <form>
                    <header>
                    </header>
                    <sheet>
                        <group name="group_top">
                            <group name="group_left">
                                <field name="nombre"/>
                                <field name="dni"/>
                                <field name="localidad"/>
                            </group>
                            <group name="group_right">
                                <field name="fecha_de_nacimiento"/>
                                <field name="direccion"/>
				<field name="contrasenya"/>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        <!-- Tree view -->
        <record id="view_tree_addresses" model="ir.ui.view">
            <field name="name">Socio</field>
            <field name="model">biblioteca.socio</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="nombre"/>
                    <field name="dni"/>
                    <field name="localidad"/>
                </tree>
            </field>
        </record>
        <!-- Filters and search options -->
        <record id="view_filter_libro" model="ir.ui.view">
            <field name="name">Socio</field>
            <field name="model">biblioteca.socio</field>
            <field name="arch" type="xml">
                <search>
                    <field name="nombre"/>
                    <field name="dni"/>
                    <field name="localidad"/>
                </search>
            </field>
        </record>
    </data>
</openerp>
